org.apache.ignite.ml.tree.randomforest

## Class RandomForestModel

- java.lang.Object
- - org.apache.ignite.ml.composition.ModelsComposition<RandomForestTreeModel>
  - - org.apache.ignite.ml.tree.randomforest.RandomForestModel

- All Implemented Interfaces:
    Serializable, AutoCloseable, DeployableObject, Exportable<ModelsCompositionFormat>, IgniteModel<Vector,Double>, JSONWritable, Model<Vector,Double>

      public class RandomForestModel
      extends ModelsComposition<RandomForestTreeModel>
      implements JSONWritable

  Random Forest Model class.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.composition.ModelsComposition

      `models, predictionsAggregator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomForestModel()`
    `RandomForestModel(List<RandomForestTreeModel> oldModels, PredictionsAggregator predictionsAggregator)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RandomForestModel` | `fromJSON(Path path)` Loads RandomForestModel from JSON file.
    `List<RandomForestTreeModel>` | `getModels()` Returns containing models.
    `PredictionsAggregator` | `getPredictionsAggregator()` Returns predictions aggregator.
    `void` | `toJSON(Path path)`

    - ### Methods inherited from class org.apache.ignite.ml.composition.ModelsComposition

      `getDependencies, predict, saveModel, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine`

- - ### Constructor Detail

    - #### RandomForestModel

          public RandomForestModel()

    - #### RandomForestModel

          public RandomForestModel(List<RandomForestTreeModel> oldModels,
                                   PredictionsAggregator predictionsAggregator)

  - ### Method Detail

    - #### getPredictionsAggregator

          public PredictionsAggregator getPredictionsAggregator()

      Returns predictions aggregator.
      Overrides:
        `getPredictionsAggregator` in class `ModelsComposition<RandomForestTreeModel>`

    - #### getModels

          public List<RandomForestTreeModel> getModels()

      Returns containing models.
      Overrides:
        `getModels` in class `ModelsComposition<RandomForestTreeModel>`

    - #### toJSON

          public void toJSON(Path path)

      Specified by:
        `toJSON` in interface `JSONWritable`

    - #### fromJSON

          public static RandomForestModel fromJSON(Path path)

      Loads RandomForestModel from JSON file.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023